Web
Analytics Made Easy - StatCounter

VMware Client Integration Plugin non funzionante

cipnolongerworking01

Chrome 45 è stato rilasciato il primo di Settembre rimuovendo completamente NPAPI dal browser disabilitando la funzionalità del Client Integration Plugin in vSphere Web Client.

Il plugin sembra avere problemi anche utilizzando browser differenti come Firefox o Internet Explorer.

Come risultato, in Chrome l'opzione Use Windows session authentication non funziona più e le credenziali per il login devono essere inserite manualmente.

cipnolongerworking02

Sfortunatamente il processo di login non è l'unica funziona compromessa. Anche la procedura di deployment di un template OVF non funziona poichè il plugin è un componente richiesto.

cipnolongerworking03

Provando ad accedere a vSphere utilizzando Firefox 40 si riceve un errore relativo ad una untrusted connection.

cipnolongerworking04

Stessa situazione con Internet Explorer.

cipnolongerworking05

Reinstallando il plugin VMware non risolve questo problema e una diversa soluzione deve essere trovata.

cipnolongerworking06

 

Opera browser

Cercando una soluzione, ho visto che Opera è al momento l'unico browser che ancora funziona con il VMware Client Integration Plugin. Normalmente non utilizzo questo browser ma ho dovuto installarlo nei miei computer per poter gestire vSphere.

Dal sito web di Opera, scaricare ed eseguire l'installer.

cipnolongerworking14

Quando l'installazione è completa, digitare nel browser l'indirizzo del vCenter Server. La funzione Use Windows session authentication è disponibile per effettuare il login. Abilitare l'opzione e cliccare su Login per accedere al vCenter Server.

cipnolongerworking15

Il browser potrebbe richiedere l'aggiornamento del Flash Player. Cliccare su Update Flash per procedere.

cipnolongerworking16

Utilizzando Opera, il vSphere Web Client è pienamente operativo.

cipnolongerworking17

Anche il processo di deployment dei package OVF funziona correttamente.

cipnolongerworking18

Credo sia giunto il momento per VMware di implementare velocemente un nuovo client web magari basato su HTML per evitare tutti questi problemi.

 

Aggiornamento

Fonte virtuallyGhetto.com

Una nuova versione del package CIP è stato rilasciato per ripristinare la funzionalità del plugin che non richiede più NPAPI. Il fix è utilizzabile sia per vSphere 6.0 e vSphere 6.0 Update 1.

Scarica il Client Integration Plugin dal sito VMware.

firma

2 Comments

    • Paolo Valsecchi 19/09/2015